Bug 35364 - Update serials pop-up windows with consistent footer markup
Summary: Update serials pop-up windows with consistent footer markup
Status: Passed QA
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: Main
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords:
Depends on: 34343
Blocks:
  Show dependency treegraph
 
Reported: 2023-11-17 18:43 UTC by Owen Leonard
Modified: 2024-04-19 18:36 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Documentation contact:
Documentation submission:
Text to go in the release notes:
This enhancement updates the style of several serials module templates so that the submission and close buttons are in a fixed footer at the bottom of the pop-up windows, consistent with other pop-up windows.
Version(s) released in:


Attachments
Bug 35364: Update label creator pop-up windows with consistent footer markup (10.70 KB, patch)
2023-11-17 18:57 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 35364: Update label creator pop-up windows with consistent footer markup (10.74 KB, patch)
2023-12-11 20:43 UTC, David Nind
Details | Diff | Splinter Review
Bug 35364: Update label creator pop-up windows with consistent footer markup (10.77 KB, patch)
2024-03-22 15:38 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 35364: Update label creator pop-up windows with consistent footer markup (10.83 KB, patch)
2024-03-26 10:58 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 35364: Update serials pop-up windows with consistent footer markup (10.83 KB, patch)
2024-04-19 18:36 UTC, Owen Leonard
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2023-11-17 18:43:42 UTC
I would like to update several serial module pop-up windows to be consistent with Bug 34343 and its children:

- serials/acqui-search-result.tt
- serials/acqui-search.tt
- serials/result.tt
- serials/subscription-bib-search.tt
- serials/routing-preview-slip.tt
- serials/subscription-renew.tt
Comment 1 Owen Leonard 2023-11-17 18:57:12 UTC
Created attachment 159110 [details] [review]
Bug 35364: Update label creator pop-up windows with consistent footer markup

This patch updates several serials module templates in order to style
submission and close buttons in a fixed footer at the bottom of pop-up
windows, with markup consistent with other pop-up windows.

Unrelated change: A couple of templates have had a "page-section" div
added where it was missing.

To test, apply the patch and go to Serials. For each affected template,
test that the window looks correct and the buttons in the footer work
correctly:

- New subscription ->
  - Search for a vendor:
    - Vendor search form
      - Vendor search results
  - Search for record
    - Record search form
    - Record search results
- Complete the process of creating a subscription if there are no other
  subscriptions already in your database.
  - From the subscription detail page, click the "Renew" button in the
    toolbar and test that window.
  - From the subscription detail page, click the "Create routing list"
    link in the left-hand sidebar menu.
    - Add one or more recipients and click "Save"
    - Click "Save and preview routing slip" and test the resulting
     pop-up.
Comment 2 David Nind 2023-12-11 20:43:20 UTC
Created attachment 159720 [details] [review]
Bug 35364: Update label creator pop-up windows with consistent footer markup

This patch updates several serials module templates in order to style
submission and close buttons in a fixed footer at the bottom of pop-up
windows, with markup consistent with other pop-up windows.

Unrelated change: A couple of templates have had a "page-section" div
added where it was missing.

To test, apply the patch and go to Serials. For each affected template,
test that the window looks correct and the buttons in the footer work
correctly:

- New subscription ->
  - Search for a vendor:
    - Vendor search form
      - Vendor search results
  - Search for record
    - Record search form
    - Record search results
- Complete the process of creating a subscription if there are no other
  subscriptions already in your database.
  - From the subscription detail page, click the "Renew" button in the
    toolbar and test that window.
  - From the subscription detail page, click the "Create routing list"
    link in the left-hand sidebar menu.
    - Add one or more recipients and click "Save"
    - Click "Save and preview routing slip" and test the resulting
     pop-up.

Signed-off-by: David Nind <david@davidnind.com>
Comment 3 Owen Leonard 2024-03-22 15:38:03 UTC
Created attachment 163715 [details] [review]
Bug 35364: Update label creator pop-up windows with consistent footer markup

This patch updates several serials module templates in order to style
submission and close buttons in a fixed footer at the bottom of pop-up
windows, with markup consistent with other pop-up windows.

Unrelated change: A couple of templates have had a "page-section" div
added where it was missing.

To test, apply the patch and go to Serials. For each affected template,
test that the window looks correct and the buttons in the footer work
correctly:

- New subscription ->
  - Search for a vendor:
    - Vendor search form
      - Vendor search results
  - Search for record
    - Record search form
    - Record search results
- Complete the process of creating a subscription if there are no other
  subscriptions already in your database.
  - From the subscription detail page, click the "Renew" button in the
    toolbar and test that window.
  - From the subscription detail page, click the "Create routing list"
    link in the left-hand sidebar menu.
    - Add one or more recipients and click "Save"
    - Click "Save and preview routing slip" and test the resulting
     pop-up.

Signed-off-by: David Nind <david@davidnind.com>
Comment 4 Kyle M Hall 2024-03-26 10:58:23 UTC
Created attachment 163901 [details] [review]
Bug 35364: Update label creator pop-up windows with consistent footer markup

This patch updates several serials module templates in order to style
submission and close buttons in a fixed footer at the bottom of pop-up
windows, with markup consistent with other pop-up windows.

Unrelated change: A couple of templates have had a "page-section" div
added where it was missing.

To test, apply the patch and go to Serials. For each affected template,
test that the window looks correct and the buttons in the footer work
correctly:

- New subscription ->
  - Search for a vendor:
    - Vendor search form
      - Vendor search results
  - Search for record
    - Record search form
    - Record search results
- Complete the process of creating a subscription if there are no other
  subscriptions already in your database.
  - From the subscription detail page, click the "Renew" button in the
    toolbar and test that window.
  - From the subscription detail page, click the "Create routing list"
    link in the left-hand sidebar menu.
    - Add one or more recipients and click "Save"
    - Click "Save and preview routing slip" and test the resulting
     pop-up.

Signed-off-by: David Nind <david@davidnind.com>
Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 5 Owen Leonard 2024-04-19 18:36:17 UTC
Created attachment 165228 [details] [review]
Bug 35364: Update serials pop-up windows with consistent footer markup

This patch updates several serials module templates in order to style
submission and close buttons in a fixed footer at the bottom of pop-up
windows, with markup consistent with other pop-up windows.

Unrelated change: A couple of templates have had a "page-section" div
added where it was missing.

To test, apply the patch and go to Serials. For each affected template,
test that the window looks correct and the buttons in the footer work
correctly:

- New subscription ->
  - Search for a vendor:
    - Vendor search form
      - Vendor search results
  - Search for record
    - Record search form
    - Record search results
- Complete the process of creating a subscription if there are no other
  subscriptions already in your database.
  - From the subscription detail page, click the "Renew" button in the
    toolbar and test that window.
  - From the subscription detail page, click the "Create routing list"
    link in the left-hand sidebar menu.
    - Add one or more recipients and click "Save"
    - Click "Save and preview routing slip" and test the resulting
     pop-up.

Signed-off-by: David Nind <david@davidnind.com>
Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>